﻿<%@ page language="C#" autoeventwireup="true" inherits="Menus, App_Web_e54sbep3" masterpagefile="~/MainTemplate.master" title="Menús" stylesheettheme="stylRest" %>

<asp:Content ID="Content1" ContentPlaceHolderID="mastheadPh" runat="Server">
    <asp:ImageMap ID="masthead" runat="server" SkinID="masthead3" /></asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="mainContent" runat="Server">
    <h1>Nuestros Menús</h1>
	<p>
        Puede elegir un plato de cada sección.
    </p>
        <table style="width: 87%;">
            <tr>
                <td style="font-family: 'SketchFlow Print'; font-size: medium; font-weight: bold">
                    Seleccione el menú:
                </td>
                <td>
                    <asp:DropDownList ID="DropDownListSelectMenu" runat="server" 
                        AutoPostBack="True" DataSourceID="SqlDataSourceMenus" DataTextField="nameMenu"
                        CssClass="style2" 
                        DataValueField="idMenu" style="margin-left: 0px">
                    </asp:DropDownList>
                </td>
            </tr>
    </table>
    <br />
    <asp:SqlDataSource ID="SqlDataSourceMenus" runat="server" 
        ConnectionString="<%$ ConnectionStrings:RestauranteConnectionString1 %>" 
        SelectCommand="SELECT [idMenu], [nameMenu] FROM [Menu] WHERE ([activoMenu] = @activoMenu)">
        <SelectParameters>
            <asp:Parameter DefaultValue="0" Name="activoMenu" Type="Byte" />
        </SelectParameters>
    </asp:SqlDataSource>
    <asp:DataList ID="DataListMenu" runat="server" 
        DataSourceID="SqlDataSourceSelectMenu" Width="478px">
        <ItemTemplate>
            <table style="width:100%;">
                <tr>
                    <td class="style2">
                        <asp:Label ID="nameSeccionLabel" runat="server" Font-Bold="True" 
                    Font-Names="SketchFlow Print" Font-Size="X-large" ForeColor="#9E0F0C" 
                            Text='<%# Eval("nameSeccion") %>' />
                    </td>
                    <td class="style1">
                        <asp:Label ID="idSeccionLabel" runat="server" Text='<%# Eval("idSeccion") %>' 
                            Visible="False" />
                    </td>
                </tr>
            </table>
            <br />
            <asp:DataList ID="DataListPlatos" runat="server" 
                DataSourceID="SqlDataSourceSeccionPlato" Width="376px">
                <ItemTemplate>
                    
                    <asp:Label ID="nameIdioma1Label" runat="server" 
                        CssClass="style1"
                        Text='<%# Eval("nameIdioma1") %>' />
                    <br />
                    <br />
                </ItemTemplate>
            </asp:DataList>
            <asp:SqlDataSource ID="SqlDataSourceSeccionPlato" runat="server" 
                ConnectionString="<%$ ConnectionStrings:RestauranteConnectionString1 %>" 
                
                
                
                SelectCommand="SELECT Plato.nameIdioma1 FROM Menu INNER JOIN MenuPlato ON Menu.idMenu = MenuPlato.idMenu INNER JOIN Plato ON MenuPlato.idPlato = Plato.idPlato WHERE (Plato.idSeccion = @idSeccion) AND (MenuPlato.idMenu = @idMenu)">
                <SelectParameters>
                    <asp:ControlParameter ControlID="idSeccionLabel" DefaultValue="" 
                        Name="idSeccion" PropertyName="Text" />
                    <asp:ControlParameter ControlID="DropDownListSelectMenu" DefaultValue="" 
                        Name="idMenu" PropertyName="SelectedValue" />
                </SelectParameters>
            </asp:SqlDataSource>
        </ItemTemplate>
    </asp:DataList>
    <asp:SqlDataSource ID="SqlDataSourceSelectMenu" runat="server" 
        ConnectionString="<%$ ConnectionStrings:RestauranteConnectionString1 %>" 
        
        SelectCommand="SELECT DISTINCT Seccion.nameSeccion, Plato.idSeccion FROM MenuPlato INNER JOIN Plato ON MenuPlato.idPlato = Plato.idPlato INNER JOIN Seccion ON Plato.idSeccion = Seccion.idSeccion WHERE (MenuPlato.idMenu = @idMenu)">
        <SelectParameters>
            <asp:ControlParameter ControlID="DropDownListSelectMenu" Name="idMenu" 
                PropertyName="SelectedValue" Type="Int32" />
        </SelectParameters>
    </asp:SqlDataSource>

	<asp:DataList ID="DataListDetalleMenu" runat="server" 
        OnItemDataBound="DataListDetalleMenu_ItemDataBound"
        DataSourceID="SqlDataSourceDetalleMenu" Width="526px">
        <ItemTemplate>
            <br />
            <table style="width:100%;">
                <tr>
                    <td class="style3">
                        <span class="style1">Precio </span>:
                        <asp:Label ID="precioMenuLabel" runat="server"
                            CssClass="style1" 
                            Text='<%# Eval("precioMenu") %>' />
                        <span class="style1">&nbsp;€</span></td>
                    <td class="style1" align="left">
                        <asp:Label ID="netoMenuLabel" runat="server" CssClass="style2" 
                            Text='<%# Eval("netoMenu") %>' />
                    </td>
                </tr>
                <tr>
                    <td class="style11">
                        Observaciones:</td>
                </tr>
                <tr>
                    <td class="style11">
                        <asp:Label ID="panLabel" runat="server" CssClass="style2" 
                            Text='<%# Eval("pan") %>' />
                    </td>
                </tr>
                <tr>
                    <td class="style11">
                        <asp:Label ID="postreMenuLabel" runat="server" CssClass="style2" 
                            Text='<%# Eval("postreMenu") %>' />
                    </td>
                </tr>
            </table>
<br />
        </ItemTemplate>
    </asp:DataList>
    <asp:SqlDataSource ID="SqlDataSourceDetalleMenu" runat="server" 
        ConnectionString="<%$ ConnectionStrings:RestauranteConnectionString1 %>" 
        SelectCommand="SELECT [netoMenu], [postreMenu], [pan], [precioMenu] FROM [Menu] WHERE ([idMenu] = @idMenu)">
        <SelectParameters>
            <asp:ControlParameter ControlID="DropDownListSelectMenu" Name="idMenu" 
                PropertyName="SelectedValue" Type="Int32" />
        </SelectParameters>
    </asp:SqlDataSource>

	</asp:Content>
<asp:Content ID="Content3" runat="server" contentplaceholderid="headEmbeds">
        <%-- Use this placeholder to embed page-specific markup in the <head> of the document. --%>
        <style type="text/css">
            .style1
            {
                font-family: "SketchFlow Print";
                font-size: medium;
                width: 238px;
            }
            .style2
            {
                font-family: "SketchFlow Print";
                font-size: small;
            }
            .style3
            {
                font-family: "SketchFlow Print";
                font-size: medium;
                width: 174px;
            }
            .style10
            {
                font-family: "SketchFlow Print";
                font-size: small;
                width: 218px;
            }
            .style11
            {
                font-family: "SketchFlow Print";
                font-size: small;
                width: 174px;
            }
        </style>
</asp:Content>

