﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using GestionRestaurante.SRR;

namespace GestionRestaurante
{
    /// <summary>
    /// Lógica de interacción para Login.xaml
    /// </summary>
    public partial class Login : Page
    {

        private RestauranteEntities context;      
        
        public Login()
        {
            InitializeComponent();

            var scvUri = App.Current as App;
            Uri sUri = (Uri)scvUri.uriApp;
            context = new RestauranteEntities(sUri);
            scvUri.infoLogin = false;
        }

        private void btnLogin_Click(object sender, RoutedEventArgs e)
        {
            
            int nUserAndPasw = (from c in context.Usuario
                                where c.userName == this.txtUserName.Text & c.password == this.psswUser.Password & c.idTipoUser == 1 & c.estadoUsuario == 0
                                select c).Count();

            if (nUserAndPasw > 0)
            {
                var lg = App.Current as App;
                lg.infoLogin = true;
                MessageBox.Show("Operación Correcta", "Login", MessageBoxButton.OK, MessageBoxImage.Information);
                NavigationService.Navigate("");
                    
             }
            else
                MessageBox.Show("Usuario o Password erroneos", "Login", MessageBoxButton.OK, MessageBoxImage.Error);        
        }

        private void btnSalir_Click(object sender, RoutedEventArgs e)
        {
            App.Current.Shutdown();
        }
    }
}
