﻿using System;
using System.Collections.Generic;
using System.Data.Services;
using System.Data.Services.Common;
using System.Linq;
using System.ServiceModel.Web;
using System.Web;

namespace RestauranteService
{
    public class Restaurante : DataService<RestauranteEntities>
    {
        // Se llama a este método una única vez para inicializar directivas aplicables a todo el ámbito del servicio.
        public static void InitializeService(DataServiceConfiguration config)
        {
           
             config.SetEntitySetAccessRule("Usuario", EntitySetRights.AllRead
                |EntitySetRights.AllWrite);
            config.SetEntitySetAccessRule("UsuarioTipo", EntitySetRights.AllRead
                | EntitySetRights.AllWrite);
            config.SetEntitySetAccessRule("Oferta", EntitySetRights.AllRead
                | EntitySetRights.AllWrite);
            config.SetEntitySetAccessRule("Menu", EntitySetRights.AllRead
                | EntitySetRights.AllWrite);
            config.SetEntitySetAccessRule("Plato", EntitySetRights.AllRead
               | EntitySetRights.AllWrite);
            config.SetEntitySetAccessRule("Seccion", EntitySetRights.AllRead
               | EntitySetRights.AllWrite);
            config.SetEntitySetAccessRule("Reserva", EntitySetRights.AllRead
               | EntitySetRights.AllWrite);
            config.SetEntitySetAccessRule("Cliente", EntitySetRights.AllRead
               | EntitySetRights.AllWrite);
            config.SetEntitySetAccessRule("MenuPlato", EntitySetRights.AllRead
                | EntitySetRights.AllWrite);
            config.SetEntitySetAccessRule("Comanda", EntitySetRights.AllRead
                | EntitySetRights.AllWrite);
            config.SetEntitySetAccessRule("lineaComanda", EntitySetRights.AllRead
                | EntitySetRights.AllWrite);

            config.DataServiceBehavior.MaxProtocolVersion = DataServiceProtocolVersion.V2;
        }
    }
}
