using System;
using System.Linq;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class BajaNews : System.Web.UI.Page
{
    private RTM.RTE context = new RTM.RTE();
    myCliente miCliente = new myCliente();
    
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
            txtUserName.Focus();
            lblBajaOK.Visible = false;
            lblNoUser.Visible = false;
            lblNoPsw.Visible = false;
    }
    
    protected void btnBorrame_Click(object sender, EventArgs e)
    {

        if (!miCliente.existeUsuario(this.txtUserName.Text))
            lblNoUser.Visible = true;

        if(!miCliente.passwordCorrecta(this.txtUserName.Text, this.txtPassword.Text))
            lblNoPsw.Visible = true;
        else
        {
            lblBajaOK.Text = "Ha sido dado de baja correctamente";
            lblBajaOK.Visible = true;

            RTM.Cliente myClient = (from c in context.Cliente
                                    where c.userNameCli == this.txtUserName.Text
                                    select c).First();
            myClient.bajaPublicidad = 1;
            context.SaveChanges();
        }
            
    }
    protected void btnApuntame_Click(object sender, EventArgs e)
    {

        if (!miCliente.existeUsuario(this.txtUserName.Text))
            lblNoUser.Visible = true;

        if (!miCliente.passwordCorrecta(this.txtUserName.Text, this.txtPassword.Text))
            lblNoPsw.Visible = true;
        else
        {
            lblBajaOK.Text = "Bienvenido de nuevo";
            lblBajaOK.Visible = true;

            RTM.Cliente myClient = (from c in context.Cliente
                                    where c.userNameCli == this.txtUserName.Text
                                    select c).First();
            myClient.bajaPublicidad = 0;
            context.SaveChanges();

        }
        
    }
}
