﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;


public partial class Carta : System.Web.UI.Page
{
 
    protected override void InitializeCulture()
    {
        if (Session["idioma"] == null){
            string sid= "";
            if (System.Threading.Thread.CurrentThread.CurrentUICulture.TwoLetterISOLanguageName == "en")
                sid = "en";
            else
                sid="es";
              Session["idioma"] = sid;
        }
           
        String  id = (String)Session["idioma"];

        String cult = id + "-" + (id == "en" ? "GB":(id == "fr" ? "FR":"ES"));

        Page.UICulture = cult;
        Page.Culture = cult;
        System.Threading.Thread.CurrentThread.CurrentUICulture = new System.Globalization.CultureInfo(cult);
        System.Threading.Thread.CurrentThread.CurrentCulture = new System.Globalization.CultureInfo(cult);

        base.InitializeCulture();
    }

    protected void Page_Load(object sender, EventArgs e)
    {
       
    }

    public void DataListPlatos_ItemDataBound(Object sender, DataListItemEventArgs e)
    {
        if (e.Item.ItemType == ListItemType.Item ||
              e.Item.ItemType == ListItemType.AlternatingItem)
        {
            Label minCom = (Label)e.Item.FindControl("minComensalesLabel");

            Int16 comensales = Convert.ToInt16(minCom.Text);

            if (comensales > 0)
            {
                e.Item.FindControl("minComensalesLabel").Visible = true;
                minCom.Text = "(" +minCom.Text+ " comensales minimo)";
            }
            
        }

    }

   
    protected void btnES_Click(object sender, ImageClickEventArgs e)
    {
        Session["idioma"] = "es";
        Server.Transfer("Carta.aspx");
    }
    protected void btnEN_Click(object sender, ImageClickEventArgs e)
    {
        Session["idioma"] = "en";
        Server.Transfer("Carta.aspx");
    }
    protected void btnFR_Click(object sender, ImageClickEventArgs e)
    {
        Session["idioma"] = "fr";
        Server.Transfer("Carta.aspx");
    }
}
