using System;
using System.Linq;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class ChangePsw : System.Web.UI.Page
{
    private RTM.RTE context = new RTM.RTE();
    
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
            txtUserName.Focus();
            lblInfo.Visible = false;
            lblNoPsw.Visible = false;
            lblNoUser.Visible = false;

    }

    protected void btnChange_Click(object sender, EventArgs e)
    {
        myCliente miCliente = new myCliente();

        if (!miCliente.existeUsuario(this.txtUserName.Text))
            lblNoUser.Visible = true;

        if (!miCliente.passwordCorrecta(this.txtUserName.Text, this.txtPassword.Text))
            lblNoPsw.Visible = true;
        else
        {
            if (txtPswNew.Text == txtPswNewRepit.Text)
            {
                lblInfo.Text = "Password cambiada correctamente";
                lblInfo.Visible = true;

                RTM.Cliente myClient = (from c in context.Cliente
                                        where c.userNameCli == this.txtUserName.Text
                                        select c).First();
                myClient.pswCli = txtPswNew.Text;
                context.SaveChanges();
            }
            else
            {
                lblInfo.Text = "Nueva password introducida incorrectamente";
                lblInfo.Visible = true;
            }
        }
    }

}
