﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Cocina.aspx.cs" Inherits="Cocina" MasterPageFile="~/MainTemplate.master" %>

<asp:Content ID="Content1" ContentPlaceHolderID="mastheadPh" runat="Server">
    <asp:ImageMap ID="masthead" runat="server" SkinID="masthead3" /></asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="mainContent" runat="Server">
    <h1>Gestión Cocina</h1>
    <br />
<br />
<asp:GridView ID="GridView1" runat="server" AutoGenerateColumns="False" 
    DataKeyNames="idComanda" DataSourceID="SqlDataSourceCocina"  
        AllowSorting="True" CellPadding="4" ForeColor="#333333" GridLines="None" 
        OnRowDataBound="GridView1_RowDataBound" OnRowCommand="GridView1_RowCommand">
    <AlternatingRowStyle BackColor="White" />
    <Columns>
        <asp:BoundField DataField="idComanda" HeaderText="Com." 
            InsertVisible="False" ReadOnly="True" SortExpression="idComanda" />
        <asp:BoundField DataField="numMesa" HeaderText="Mesa"  
            SortExpression="numMesa" />
        <asp:BoundField DataField="nombreUsuario" HeaderText="Camarero" 
            SortExpression="nombreUsuario" />
            <asp:BoundField DataField="idPlato" HeaderText="idPla."  />
        <asp:BoundField DataField="nameIdioma1" HeaderText="Plato" 
            SortExpression="nameIdioma1" />
        <asp:BoundField DataField="cantidad" HeaderText="cantidad" 
            SortExpression="cantidad" />
        <asp:BoundField DataField="modificada" HeaderText="Status" 
            SortExpression="modificada" />
        <asp:ButtonField CommandName="Cerrar" Text="Cerrar" ButtonType="Button"  />
        
        
       
    </Columns>
    <FooterStyle BackColor="#990000" ForeColor="White" Font-Bold="True" />
    <HeaderStyle BackColor="#990000" Font-Bold="True" ForeColor="White" />
    <PagerStyle BackColor="#FFCC66" ForeColor="#333333" HorizontalAlign="Center" />
    <RowStyle BackColor="#FFFBD6" ForeColor="#333333" />
    <SelectedRowStyle BackColor="#FFCC66" Font-Bold="True" ForeColor="Navy" />
    <SortedAscendingCellStyle BackColor="#FDF5AC" />
    <SortedAscendingHeaderStyle BackColor="#4D0000" />
    <SortedDescendingCellStyle BackColor="#FCF6C0" />
    <SortedDescendingHeaderStyle BackColor="#820000" />
</asp:GridView>
<asp:SqlDataSource ID="SqlDataSourceCocina" runat="server" 
    ConnectionString="<%$ ConnectionStrings:RestauranteConnectionString %>" 
    
        SelectCommand="SELECT Comanda.idComanda, Comanda.numMesa, Usuario.nombreUsuario, Plato.nameIdioma1, lineaComanda.idPlato, lineaComanda.cantidad, lineaComanda.modificada FROM Comanda INNER JOIN lineaComanda ON Comanda.idComanda = lineaComanda.idComanda INNER JOIN Plato ON lineaComanda.idPlato = Plato.idPlato INNER JOIN Usuario ON Comanda.IdUsuario = Usuario.idUsuario WHERE (lineaComanda.modificada = 0) OR (lineaComanda.modificada = 1)"
        UpdateCommandType="StoredProcedure" UpdateCommand="sp_upd_comanda" 
        OnUpdating = "SqlDataSourceCocina_Updating">
        <UpdateParameters>
        <asp:Parameter DbType="Int32" Name="idComanda" Direction="Input" />
        <asp:Parameter DbType="Int32" Name="idPlato" Direction="Input" />
            
        </UpdateParameters>
</asp:SqlDataSource>
    <br />
    
	</asp:Content>
<asp:Content ID="Content3" runat="server" contentplaceholderid="headEmbeds">
        <%-- Use this placeholder to embed page-specific markup in the <head> of the document. --%>
        </asp:Content>

