﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Shell;
using appComandas.SRR;
using System.Data.Services.Client;


namespace appComandas
{
    
    public partial class Login : PhoneApplicationPage
    {
        private RestauranteEntities context;
        private readonly Uri restaurantUri = new Uri("http://192.168.1.200/RestauranteService/Restaurante.svc");
        private DataServiceCollection<Usuario> usuarios;


        public Login()
        {
            InitializeComponent();
            
        }

        private void btnCancelar_Click_1(object sender, RoutedEventArgs e)
        {
            this.txtUserName.Text = "";
            this.txtPassword.Password = "";
        }

        private void btnLogin_Click(object sender, RoutedEventArgs e)
        {

            

            context = new RestauranteEntities(restaurantUri);
            usuarios = new DataServiceCollection<Usuario>(context);

            var query = from c in context.Usuario
                               where c.nombreUsuario == this.txtUserName.Text & c.password == this.txtPassword.Password & c.idTipoUser == 2 & c.estadoUsuario == 0
                               select c;

            usuarios.LoadCompleted += new EventHandler<LoadCompletedEventArgs>(usuarios_LoadCompleted);

            usuarios.LoadAsync(query);
           
        }

        void usuarios_LoadCompleted(object sender, LoadCompletedEventArgs e)
        {
            if (e.Error == null)
            {
                // Handling for a paged data feed.
                if (usuarios.Continuation != null)
                {
                    // Automatically load the next page.
                    usuarios.LoadNextPartialSetAsync();
                }
                else
                {
                    // Set the data context of the list box control to the sample data.
                    //this.LayoutRoot.DataContext = platos;
                    var aUser = App.Current as App;
                    aUser.pUser = usuarios.First().idUsuario.ToString();
                    aUser.pName = usuarios.First().nombreUsuario;
                    NavigationService.Navigate(new System.Uri("/MainPage.xaml", UriKind.RelativeOrAbsolute));

                }
            }
            else
            {
                MessageBox.Show(string.Format("Usuario o Password erroneos"));
            }
        }


        
    }
}