﻿<%@ page language="C#" autoeventwireup="true" inherits="Carta, App_Web_e54sbep3" masterpagefile="~/MainTemplate.master" culture="auto" uiculture="auto" title="Carta" meta:resourcekey="PageResource1" stylesheettheme="stylRest" %>

<asp:Content ID="Content1" ContentPlaceHolderID="mastheadPh" runat="Server">
    <asp:ImageMap ID="masthead" runat="server" SkinID="masthead3" 
        meta:resourcekey="mastheadResource1" /></asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="mainContent" runat="Server">
    <table align="right">
        <tr>
            <td>
                <asp:ImageButton ID="btnES" runat="server" 
                    ImageUrl="~/App_Themes/stylRest/Images/flag_spain.png" 
                    meta:resourcekey="btnESResource1" onclick="btnES_Click" />
            </td>
            <td >
                <asp:ImageButton ID="btnEN" runat="server" 
                    ImageUrl="~/App_Themes/stylRest/Images/flag_great_britain.png" 
                    meta:resourcekey="btnENResource1" onclick="btnEN_Click" />
            </td>
            <td>
                <asp:ImageButton ID="btnFR" runat="server" 
                    ImageUrl="~/App_Themes/stylRest/Images/flag_france.png" 
                    meta:resourcekey="btnFRResource1" onclick="btnFR_Click" />
            </td>
        </tr>
    </table>
    <h1 align="center"><asp:Literal ID="Literal1" runat="server" Text="<%$ Resources:Titulo %>" /></h1>
    <br />
    <br />

        <asp:DataList ID="DataListSecciones" runat="server" 
            DataKeyField="idSeccion" DataSourceID="SqlDataSourceSecciones" 
        Width="409px" meta:resourcekey="DataListSeccionesResource1">
            <ItemTemplate>
                &nbsp;<asp:Label ID="nameSeccionLabel" runat="server" Font-Bold="True" 
                    Font-Names="SketchFlow Print" Font-Size="X-Large" ForeColor="#9E0F0C" 
                    Text='<%# Eval("nameSeccion") %>' 
                    style="font-family: 'SketchFlow Print'; font-size: large" 
                    meta:resourcekey="nameSeccionLabelResource1" />
                <br />
                &nbsp;<asp:Label ID="idSeccionLabel" runat="server" Text='<%# Eval("idSeccion") %>' 
                    Visible="False" meta:resourcekey="idSeccionLabelResource1" />
<br />
                <asp:DataList ID="DataListPlatos" runat="server" DataSourceID="SqlDataSourcePlatos" 
                    style="margin-right: 0px" Width="410px" 
                    OnItemDataBound="DataListPlatos_ItemDataBound" 
                    meta:resourcekey="DataListPlatosResource1">
                    <ItemTemplate>

                                   <table style="width:100%;">
                                    <tr>
                                        <td align="left">

                                            <asp:Label ID="nameIdioma1Label" 
                                            runat="server" Font-Names="SketchFlow Print" Font-Size="Medium"
                                            Text='<%# Eval(GetLocalResourceObject("idioma").ToString()) %>'
                                                meta:resourcekey="nameIdioma1LabelResource1" /> 
                                         </td>
                                        <td align="right" style="font-family: 'SketchFlow Print'; font-size: medium">
                                              <asp:Label ID="precioPlatoLabel" runat="server" 
                                            Font-Names="Verdana" Font-Size="Medium"
                                            Text='<%# Eval("precioPlato") %>' 
                                                style="font-family: 'SketchFlow Print'" 
                                                  meta:resourcekey="precioPlatoLabelResource1" />  &nbsp; <span class="style1">€</span>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td align="left">
                                         
                                            <asp:Label ID="minComensalesLabel" runat="server" 
                                            Font-Names="Verdana" Font-Size="Medium"
                                            Text='<%# Eval("minComensales") %>'  Visible="False" 
                                                style="font-family: 'SketchFlow Print'; font-size: xx-small;" 
                                                meta:resourcekey="minComensalesLabelResource1" />
                                        </td>
                                    </tr>
                                </table>
                        <br />
                    </ItemTemplate>
                </asp:DataList>
                <asp:SqlDataSource ID="SqlDataSourcePlatos" runat="server" 
                    ConnectionString="<%$ ConnectionStrings:RestauranteConnectionString1 %>" 
                    SelectCommand="SELECT  [nameIdioma1], [nameIdioma2], [nameIdioma3], [precioPlato], [minComensales] FROM [Plato] WHERE ([idSeccion] = @idSeccion)">
                    <SelectParameters>
                        <asp:ControlParameter ControlID="idSeccionLabel" Name="idSeccion" 
                            PropertyName="Text" Type="Int32" />
                    </SelectParameters>
                </asp:SqlDataSource>
                <br />
            </ItemTemplate>
        </asp:DataList>
        <asp:SqlDataSource ID="SqlDataSourceSecciones" runat="server" 
            ConnectionString="<%$ ConnectionStrings:RestauranteConnectionString1 %>" 
            SelectCommand="SELECT [nameSeccion], [idSeccion] FROM [Seccion] ORDER BY [nOrdenSeccion]">
        </asp:SqlDataSource>

	</asp:Content>
<asp:Content ID="Content3" runat="server" contentplaceholderid="headEmbeds">
        <%-- Use this placeholder to embed page-specific markup in the <head> of the document. --%>
	<style type="text/css">
        .style1
        {
            font-family: "SketchFlow Print";
        }
    </style>
</asp:Content>

