﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace GestionRestaurante
{
    /// <summary>
    /// Lógica de interacción para MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

         
            var lg = App.Current as App;
            if (lg.infoLogin)
                this.ButtonsMenuPrincipal.Visibility = System.Windows.Visibility.Visible;

        }

        private void btnMenuUsuarios_Click(object sender, RoutedEventArgs e)
        {
            var lg = App.Current as App;
           
            if (lg.infoLogin)
                this.fraMain.Navigate(new System.Uri("PagesGestion/Usuarios.xaml",
                UriKind.RelativeOrAbsolute));
            else
                MessageBox.Show("Loguéate primero", "Navegación", MessageBoxButton.OK, MessageBoxImage.Stop);
        }

        private void btnMenuSalir_Click(object sender, RoutedEventArgs e)
        {
            App.Current.Shutdown();
        }

        private void btnMenuClientes_Click(object sender, RoutedEventArgs e)
        {
            var lg = App.Current as App;

            if (lg.infoLogin)   
            this.fraMain.Navigate(new System.Uri("PagesGestion/Clientes.xaml",
            UriKind.RelativeOrAbsolute));
            else
                MessageBox.Show("Loguéate primero", "Navegación", MessageBoxButton.OK, MessageBoxImage.Stop);
        }

        private void btnMenuCarta_Click(object sender, RoutedEventArgs e)
        {

            var lg = App.Current as App;
            
            if (lg.infoLogin)
            this.fraMain.Navigate(new System.Uri("PagesGestion/Carta.xaml",
           UriKind.RelativeOrAbsolute));
            else
                MessageBox.Show("Loguéate primero", "Navegación", MessageBoxButton.OK, MessageBoxImage.Stop);
        }

        private void btnMenuMenus_Click(object sender, RoutedEventArgs e)
        {
            var lg = App.Current as App;

            if (lg.infoLogin)
            this.fraMain.Navigate(new System.Uri("PagesGestion/Menus.xaml",
            UriKind.RelativeOrAbsolute));
            else
                MessageBox.Show("Loguéate primero", "Navegación", MessageBoxButton.OK, MessageBoxImage.Stop);
        }

        private void btnMenuOfertas_Click(object sender, RoutedEventArgs e)
        {
            var lg = App.Current as App;

            if (lg.infoLogin)
            this.fraMain.Navigate(new System.Uri("PagesGestion/Ofertas.xaml",
            UriKind.RelativeOrAbsolute));
            else
                MessageBox.Show("Loguéate primero", "Navegación", MessageBoxButton.OK, MessageBoxImage.Stop);
        }
    }
}
