using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class DefaultPage : System.Web.UI.Page
{
    protected void Page_LoadComplete(object sender, EventArgs e)
    {
        if (!IsCallback)
        {           
            // IE 5.5 isn't able to render the dynamic menu items correctly if
            // the size of the header image is too large. To work around this problem, 
            // IE 5.5 gets a different header image than the other browsers. 
            if (Request.Browser.Id == "ie55")
            {
                mastheadImg.ImageUrl = String.Format("~/App_Themes/{0}/Images/Homepage/masthead_ie55.jpg", Page.Theme != null ? Page.Theme : Page.StyleSheetTheme);
                mastheadImg.Height = 206;
                litHeaderHeight.Text = "206px";
            }
        }
    }
}
